---
page_source: https://juspay.io/sea/docs/hyper-checkout-sea/web/mandates/order-status-api
page_title: Order Status API
---

## API Version: default


# Order Status API



This is a Server-to-Server API that returns the status of the order along with other details in encrypted format.Please ensure that you validate the amount and status of the order before fulfilling the order at your end.For information on different order status and handling, refer [here](https://juspay.io/sea/docs/resources/docs/common-resources/transaction-status)## Endpoints:
- Sandbox: https://sandbox.juspay.in/orders/{order_id}

- Production: https://api.juspay.in/orders/{order_id}

## Request Type: 
GET

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value: <p>Example:- <br> MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg== </p> 
- Tags: Base64 Encoded username:password, required
## Headers:

#### x-merchantid:
Unique identifier for the merchant. This is the Merchant ID provided by Juspay. The value is case sensitive.

> **Note**
> Passing this value will help us route efficiently at network level.


- Value:  x-merchantid: testaccount
- Tags: string, Recommended

#### version:
Pass the date in YYYY-MM-DD format
- Tags: string, required

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request GET 'https://api.juspay.in/orders/:order_id' \
--header 'version: 2023-06-30' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Basic OTc5Mzcx*****czRTlGOg==' \
--header 'x-merchantid: your_merchant_id' 
```

### Sample Response:

#### 200 - Success:
```json
{
  "udf9": "",
  "udf8": "",
  "udf7": "",
  "udf6": "",
  "udf5": "",
  "udf4": "",
  "udf3": "",
  "udf2": "",
  "udf10": "",
  "udf1": "",
  "txn_uuid": "eulmyxQn6bQso6y1Syy",
  "txn_id": "juspay-234823498237423894273498-1",
  "txn_detail": {
    "txn_uuid": "eulmyxQn6bQso6y1Syy",
    "txn_object_type": "EMANDATE_REGISTER",
    "txn_id": "juspay-234823498237423894273498-1",
    "txn_amount": 1,
    "tax_amount": null,
    "surcharge_amount": null,
    "status": "CHARGED",
    "source_object_id": "91887",
    "source_object": "MANDATE",
    "redirect": true,
    "order_id": "234823498237423894273498",
    "net_amount": 1,
    "gateway_id": 19,
    "gateway": "OVO",
    "express_checkout": false,
    "error_message": "",
    "error_code": "",
    "currency": "SGD",
    "created": "2020-08-30T09:53:17Z"
  },
  "status_id": 21,
  "status": "CHARGED",
  "return_url": "https://api.juspay.in",
  "refunded": false,
  "product_id": "",
  "payment_method_type": "UPI",
  "payment_method": "UPI",
  "payment_links": {
    "web": "https://api.juspay.in/merchant/pay/ordeu_9a0929803da644df8036133cf14d0206"
  },
  "payment_gateway_response": {
    "txn_id": "juspay-234823498237423894273498-1",
    "rrn": "4299662",
    "resp_message": "Txn Success",
    "resp_code": "01",
    "epg_txn_id": "202008301131312168187301880189",
    "created": "2020-08-30T09:54:10Z",
    "auth_id_code": ""
  },
  "payer_vpa": "99999999@paytm",
  "order_id": "234823498237423894273498",
  "metadata": {
    "OVO:gateway_reference_id": "mandate"
  },
  "merchant_id": "juspay",
  "mandate": {
    "start_date": "1598745600",
    "rule_value": 30,
    "rule_type": "AFTER",
    "revokable_by_customer": true,
    "max_amount": 1000,
    "mandate_type": "EMANDATE",
    "mandate_token": "ad1d28b13f460fb5d348487be790f3",
    "mandate_status": "ACTIVE",
    "mandate_id": "3XMEcS1z2212Gq7fbfVYbzj",
    "frequency": "MONTHLY",
    "end_date": "1606521610",
    "block_fund": false,
    "amount_rule": "VARIABLE"
  },
  "id": "ordeu_9a0929803da644df8036133cf14d0206",

  "gateway_reference_id": "mandate",
  "gateway_id": 19,
  "date_created": "2020-08-30T09:47:46Z",
  "customer_phone": "99999999",
  "customer_id": "cst_lz7zmpemoo5okv",
  "customer_email": "customer@gmail.com",
  "currency": "SGD",
  "bank_error_message": "",
  "bank_error_code": "",
  "auth_type": "",
  "amount_refunded": 0,
  "amount": 1
}

```

#### 400 - Bad Request:
```plaintext
{
  "status": "NOT_FOUND",
  "error_info": {
    "user_message": "Order Not Found",
    "request_id": "f83cfc60-a413-4b3a-8748-3b571af0ec84",
    "href": "NA",
    "developer_message": "Order Not Found",
    "code": "RESOURCE_NOT_FOUND",
    "category": "USER_ERROR"
  },
  "status_id": 40,
  "order_id": "173824171"
}
```

#### 401 - Unauthorized:
```plaintext
{
  "status": "error",
  "error_code": "access_denied",
  "error_info": {
    "user_message": "Unauthorized.",
    "request_id": "34000206-bbbb-4b6b-848f-dfae3d29ef4e",
    "href": "NA",
    "developer_message": "Invalid API Key. Please pass a valid and active api key.",
    "code": "UNAUTHORIZED",
    "category": "USER_ERROR"
  }
}
```

## Path Parameters:

#### order_id:
Order Id of the order for which you want to check the status
- Value: Example:- JP1636474794
- Tags: String, Mandatory
## API Responses:
### 200:

#### id:
- Description: Unique ID generated by JusPay for the given order
- Tags: string

#### order_id:
- Description: OrderId provided in the request
- Tags: string

#### status:
- Description: Status of the order. For information on different order status and handling, refer [here](https://docs.juspay.in/resources/docs/common-resources/transaction-status)
- Tags: string

#### status_id:
- Description: Status ID is a numeric id corresponding to the status value
- Tags: Integer

#### amount:
- Description: The order amount
- Tags: Double

#### date_created:
- Description: Order creation timestamp in UTC

**Example** : 2021-11-09T16:19:55Z
- Tags: string

#### customer_email:
- Description: The email Id of the customer provided during order creation
- Tags: string

#### customer_phone:
- Description: The phone number of the customer provided during order creation
- Tags: string

#### customer_id:
- Description: The customer id provided during order creation
- Tags: string

#### merchant_id:
- Description: The merchant id provided by Juspay
- Tags: string

#### currency:
- Description: The currency provided during order creation. 

**Default:**  INR
- Tags: string

#### return_url:
- Description: The return url provided during order creation
- Tags: string

#### product_id:
- Description: The product_id provided during order creation
- Tags: string

#### udf1-udf10:
- Description: The user defined fields passed during order creation. Empty in case not passed
- Tags: string

#### txn_id:
- Description: Transaction ID for the payment attempt. Can be used as an identifier at PG end and will be present in reconciliation report.
- Tags: string

#### payment_method_type:
- Description: The payment method type used for transaction. Possible values are CARD, NB, WALLET, UPI, CONSUMER_FINANCE
- Tags: string

#### payment_method:
- Description: The payment method used for the transaction
- Tags: string

#### auth_type:
- Description: Possible values `THREE_DS`, `OTP`, `VIES`
- Tags: string

#### refunded:
- Description: **true**  if the order has been completely refunded

**false**  for partial refunds or if the order doesn't have any refunds
- Tags: Boolean

#### amount_refunded:
- Description: Amount which has been refunded so far for the given order
- Tags: Double

#### refunds:
- Description: The refund block with the details of refund initiated for the given order.
- Value:
  - **Unique_request_id**:
    - Description: The unique request id provided during refund initiation
    - Tags: String
  - **Status**:
    - Description: The status of the refund initiated. Initial status will always be PENDING
    - Tags: String
  - **Sent_to_gateway**:
    - Description: The flag denotes if the refund was initiated to gateway. The initial status is always false, as refunds are queued at juspay for a period of 15 minutes
    - Tags: Boolean
  - **Refund_type**:
    - Description: The type of refund. Values can be STANDARD, INSTANT
    - Tags: String
  - **Refund_source**:
    - Description: The name of gateway from which amount is refunded
    - Tags: String
  - **Ref**:
    - Description: The refund id provided by the PG
    - Tags: String
  - **Initiated_by**:
    - Description: The source of initiation
    - Tags: String
  - **Id**:
    - Description: The reference id provided by PG, if not available then its mapped to unique request id.
    - Tags: String
  - **Amount**:
    - Description: The refund amount passed in the request
    - Tags: Double
  - **Created**:
    - Description: The timestamp of refund creation
    - Tags: String
- Tags: Array of Objects

#### txn_uuid:
- Description: The unique id generated by Juspay for a particular transaction. Can be used as an identifier in case of UPI transaction
- Tags: string

#### txn_detail:
- Description: The json object with the details of the transaction
- Tags: JSON

#### payment_gateway_response:
- Description: The json object with the details receive from PG
- Value:
  - **Payment_gateway_response.resp_code**:
    - Description: The response code provided by the gateway
    - Tags: string
  - **Payment_gateway_response.rrn**:
    - Description: The bank reference number provided by the gateway
    - Tags: string
  - **Payment_gateway_response.created**:
    - Description: The transaction creation timestamp
    - Tags: string
  - **Payment_gateway_response.epg_txn_id**:
    - Description: Transaction Id from the underlying gateway
    - Tags: string
  - **Payment_gateway_response.auth_id_code**:
    - Description: Auth code provided by the gateway for the transaction.
    - Tags: string
  - **Payment_gateway_response.txn_id**:
    - Description: Transaction Id for the payment attempt
    - Tags: string
  - **Payment_gateway_response.resp_message**:
    - Description: The response message provided by the gateway
    - Tags: string
  - **Payment_gateway_response.offer_type**:
    - Description: The type of offer applied provided by the gateway( available only if offers are applied)
    - Tags: string
  - **Payment_gateway_response.offer_availed**:
    - Description: true if the offer is applied at the payment gateway. Else it will be false ( available only if offers are applied)
    - Tags: Boolean
  - **Payment_gateway_response.discount_amount**:
    - Description: The discount amount provided by the gateway for the availed offer ( available only if offers are applied)
    - Tags: Double
- Tags: JSON

#### gateway_id:
- Description: Gateway Id of the gateway used for performing this transactions
- Tags: Integer

#### gateway_reference_id:
- Description: The gateway reference id used for the transaction
- Tags: Integer

#### card:
- Description: The json containing the details of the card used for the transaction
- Value:
  - **Card.expiry_year**:
    - Description: The expiry year of the card used for the transaction
    - Tags: string
  - **Card.card_reference**:
    - Description: A reference identifier for the card.
    - Tags: string
  - **Card.expiry_month**:
    - Description: The expiry month of the card used for the transaction
    - Tags: string
  - **Card.saved_to_locker**:
    - Description: true if card was saved to locker, else false
    - Tags: Boolean
  - **Card.name_on_card**:
    - Description: The name on card used for the transaction
    - Tags: string
  - **Card.card_issuer**:
    - Description: Indicates the bank which issued the card
    - Tags: string
  - **Card.last_four_digits**:
    - Description: The last four digit of the card used
    - Tags: string
  - **Card.using_saved_card**:
    - Description: **true**  if transaction was done via a saved card
      
      **false**  if transaction via new card/unsaved card
    - Tags: Boolean
  - **Card.card_fingerprint**:
    - Description: The unique identifier for the card
    - Tags: string
  - **Card.card_isin**:
    - Description: The first six digit of the card used for the transaction
    - Tags: string
  - **Card.card_type**:
    - Description: Indicates if the card is either CREDIT or DEBIT
    - Tags: string
  - **Card.card_brand**:
    - Description: The provider of the card, can be VISA, RUPAY etc.
    - Tags: string
- Tags: JSON
### 400:

#### status:
- Description: Bad Request
- Tags: string

#### error_code:
- Description: Details of keys missing
- Value: <p>Example:- <br> Mandatory fields are missing </p>
- Tags: string

#### error_message:
- Description: Further Details of keys missing
- Tags: string
### 401:

#### status:
- Description: error
- Tags: string

#### error_code:
- Description: access_denied
- Tags: string
### 500:

#### status:
- Description: error
- Tags: string

#### error_code:
- Description: Internal server Error
- Tags: string



### Error Codes




| Scenario | Error Code | Description | Sample Response |
|---|---|---|---|
| Not passing the version in header | - | Note: If a version is provided, the response will include data corresponding to that specific version date.  It is recommended not to enforce strict validation on the entire response on the merchant's side to allow for future key additions. | Response with 200 |
| Invalid order id | 400 | Bad Request | {"status":"NOT_FOUND","error_info":{"user_message":"Order Not Found","developer_message":"Order Not Found","code":"RESOURCE_NOT_FOUND","category":"USER_ERROR"},"status_id":40,"order_id":"173824171"} |
| Invalid API Key | 401 | Unauthorized | {"status":"error","error_code":"access_denied","error_info":{"user_message":"Unauthorized.","developer_message":"Invalid API Key. Please pass a valid and active api key.","code":"UNAUTHORIZED","category":"USER_ERROR"}} |
| Passing an invalid URL | 404 | Not Found |  |



### Sample Mandate Order Status Response




#### Mandate Status - CREATED Code Snippet:

```mandate status - created
{
  "customer_email": "test@gmail.com",
  "customer_phone": "9818638469",
  "customer_id": "cth_94d4TRQh4aReohpf",
  "status_id": 23,
  "status": "PENDING_VBV",
  "id": "ordeh_803e76ebbc735992",
  "merchant_id": "Merchant",
  "amount": 100,
  "currency": "USD",
  "order_id": "1738240784",
  "date_created": "2025-01-30T12:39:44Z",
  "last_updated": "2025-01-30T12:39:44Z",
  "return_url": "https://google.co.in",
  "product_id": "",
  "payment_links": {
    "mobile": "https://sandbox.juspay.in/payment-page/order/ordeh_803e76ebbc735992",
    "web": "https://sandbox.juspay.in/payment-page/order/ordeh_803e76ebbc735992",
    "iframe": "https://sandbox.juspay.in/payment-page/order/ordeh_803e76ebbc735992"
  },
  "udf1": "",
  "udf2": "",
  "udf3": "",
  "udf4": "",
  "udf5": "",
  "udf6": "",
  "udf7": "",
  "udf8": "",
  "udf9": "",
  "udf10": "",
  "txn_id": "Merchant-1738240784-1",
  "payment_method_type": "WALLET",
  "auth_type": "",
  "payment_method": "JP_APPLEPAY",
  "refunded": false,
  "amount_refunded": 0,
  "effective_amount": 100,
  "mandate": {
    "mandate_token": "89c14761915e4971b02ba12f5e731eeb",
    "mandate_status": "CREATED",
    "mandate_id": "rD7mP7MmW2Ujcu5mEEJfyt",
    "mandate_type": "EMANDATE",
    "start_date": "1738240793",
    "end_date": "2684925594",
    "revokable_by_customer": true,
    "block_fund": false,
    "max_amount": 1000,
    "frequency": "ASPRESENTED",
    "amount_rule": "VARIABLE"
  },
  "resp_code": null,
  "resp_message": null,
  "bank_error_code": "",
  "bank_error_message": "",
  "txn_uuid": "moz9JihNz4saMoatyeD",
  "gateway_id": 1001,
  "emi_details": {
    "bank": null,
    "monthly_payment": null,
    "interest": null,
    "conversion_details": null,
    "principal_amount": null,
    "additional_processing_fee_info": null,
    "tenure": null,
    "subvention_info": [],
    "emi_type": null,
    "processed_by": null
  },
  "offers": [],
  "wallet": {
    "txn_flow_type": "REDIRECT_DEBIT"
  },
  "order_expiry": "2025-01-30T13:09:44Z",
  "resp_category": null
}
```

#### Mandate Status - ACTIVE Code Snippet:

```mandate status - active
{
  "customer_email": "test@gmail.com",
  "customer_phone": "9818638469",
  "customer_id": "cth_94d4TRQh4aReohpf",
  "status_id": 21,
  "status": "CHARGED",
  "id": "ordeh_a0e0c50b1cc8f687",
  "merchant_id": "Merchant",
  "amount": 100,
  "currency": "USD",
  "order_id": "1738567312",
  "date_created": "2025-02-03T07:21:52Z",
  "last_updated": "2025-02-03T07:22:29Z",
  "return_url": "https://google.co.in",
  "product_id": "",
  "payment_links": {
    "mobile": "https://sandbox.assets.juspay.in/payment-page/order/ordeh_a0e0c50b1cc8f687",
    "web": "https://sandbox.assets.juspay.in/payment-page/order/ordeh_a0e0c50b1cc8f687",
    "iframe": "https://sandbox.assets.juspay.in/payment-page/order/ordeh_a0e0c50b1cc8f687"
  },
  "udf1": "",
  "udf2": "",
  "udf3": "",
  "udf4": "",
  "udf5": "",
  "udf6": "",
  "udf7": "",
  "udf8": "",
  "udf9": "",
  "udf10": "",
  "txn_id": "Merchant-1738567312-1",
  "payment_method_type": "WALLET",
  "auth_type": "",
  "payment_method": "JP_APPLEPAY",
  "refunded": false,
  "amount_refunded": 0,
  "effective_amount": 100,
  "mandate": {
    "mandate_token": "a194eeb90a646b6bc1c4df6d97f5550",
    "mandate_status": "ACTIVE",
    "mandate_id": "ugzM32k2uK4Rys7h2ycGm",
    "mandate_type": "EMANDATE",
    "start_date": "1738567323",
    "end_date": "2685252123",
    "revokable_by_customer": true,
    "block_fund": false,
    "max_amount": 1000,
    "frequency": "ASPRESENTED",
    "amount_rule": "VARIABLE"
  },
  "resp_code": null,
  "resp_message": null,
  "bank_error_code": "",
  "bank_error_message": "",
  "txn_uuid": "moz2vhZmqdFW4KPxAbz",
  "payment_gateway_response": {
    "resp_code": "Authorised",
    "rrn": null,
    "created": "2025-02-03T07:22:29Z",
    "epg_txn_id": "VQWW886RV9XSPBV5",
    "resp_message": "Authorised",
    "auth_id_code": null,
    "txn_id": "Merchant-1738567312-1",
    "gateway_response": {
      "additionalData": {
        "authorisationType": null,
        "recurringProcessingModel": "UnscheduledCardOnFile",
        "scaExemptionRequested": null,
        "recurring.recurringDetailReference": "HPHP6ZN9RNCJXQ65",
        "recurring.shopperReference": "cth_94d4TRQh4aReohpf"
      },
      "amount": {
        "value": 10000,
        "currency": "USD"
      },
      "merchantReference": "Merchant-1738567312-1",
      "pspReference": "VQWW886RV9XSPBV5",
      "resultCode": "Authorised"
    },
    "network_error_message": null,
    "network_error_code": null,
    "arn": null,
    "gateway_merchant_id": null,
    "eci": null,
    "auth_ref_num": null,
    "umrn": null
  },
  "gateway_id": 1001,
  "emi_details": {
    "bank": null,
    "monthly_payment": null,
    "interest": null,
    "conversion_details": null,
    "principal_amount": null,
    "additional_processing_fee_info": null,
    "tenure": null,
    "subvention_info": [],
    "emi_type": null,
    "processed_by": null
  },
  "offers": [],
  "wallet": {
    "txn_flow_type": "REDIRECT_DEBIT"
  },
  "maximum_eligible_refund_amount": 100,
  "order_expiry": "2025-02-03T07:51:52Z",
  "resp_category": null
}
```

#### Mandate Status - REVOKED Code Snippet:

```mandate status - revoked
{
  "customer_email": "xxx@gmail.com",
  "customer_phone": "9876543210",
  "customer_id": "cth_pJUCpKRF6BZbWqic",
  "status_id": 21,
  "status": "CHARGED",
  "id": "ordeh_908b968ca0f16b",
  "merchant_id": "Merchant",
  "amount": 15,
  "currency": "SAR",
  "order_id": "1738569799",
  "date_created": "2025-02-03T08:03:19Z",
  "last_updated": "2025-02-03T08:03:55Z",
  "return_url": "https://juspay.in/",
  "product_id": "JPP20241212163917",
  "payment_links": {
    "mobile": "https://sandbox.juspay.in/payment-page/order/ordeh_908b968ca0f16b",
    "web": "https://sandbox.juspay.in/payment-page/order/ordeh_908b968ca0f16b",
    "iframe": "https://sandbox.juspay.in/payment-page/order/ordeh_908b968ca0f16b"
  },
  "udf1": "",
  "udf2": "",
  "udf3": "",
  "udf4": "",
  "udf5": "",
  "udf6": "",
  "udf7": "",
  "udf8": "",
  "udf9": "",
  "udf10": "",
  "txn_id": "Merchant-1738569799-1",
  "payment_method_type": "CARD",
  "auth_type": "THREE_DS",
  "card": {
    "expiry_year": "2029",
    "card_reference": "",
    "saved_to_locker": false,
    "expiry_month": "12",
    "name_on_card": "TestCard",
    "card_issuer": "One Card",
    "last_four_digits": "8950",
    "using_saved_card": false,
    "card_fingerprint": "1iqmd49i4u233ujj8209cpoa2c",
    "card_isin": "402275",
    "card_type": "CREDIT",
    "card_brand": "VISA",
    "using_token": false,
    "tokens": [],
    "token_type": "CARD",
    "card_issuer_country": "INDIA",
    "juspay_bank_code": "JP_ONE",
    "extended_card_type": "CREDIT",
    "payment_account_reference": ""
  },
  "payment_method": "VISA",
  "refunded": false,
  "amount_refunded": 0,
  "effective_amount": 15,
  "mandate": {
    "mandate_token": "9f08df6aff18481599a82ff18473d93b",
    "mandate_status": "REVOKED",
    "mandate_id": "5Lf66c551HLWgu37rS94E6",
    "mandate_type": "MANDATE",
    "start_date": "1738568838",
    "end_date": "1759477638",
    "revokable_by_customer": true,
    "block_fund": false,
    "max_amount": 10,
    "frequency": "ASPRESENTED",
    "amount_rule": "VARIABLE",
    "pg_response": {
      "response_message": "Revoked the mandate based on gateway's response",
      "response_code": "REVOKE_MANDATE",
      "mandate_revoke_source": "MERCHANT_MANDATE_REVOKE"
    }
  },
  "resp_code": null,
  "resp_message": null,
  "bank_error_code": "",
  "bank_error_message": "",
  "txn_uuid": "mozsWkv7CVGaMhauwmQ",
  "txn_detail": {
    "txn_id": "Merchant-1738569799-1",
    "order_id": "1738569799",
    "status": "CHARGED",
    "error_code": null,
    "net_amount": 15,
    "surcharge_amount": null,
    "tax_amount": null,
    "txn_amount": 15,
    "offer_deduction_amount": null,
    "remaining_refundable_amount": 15,
    "gateway_id": 23,
    "currency": "INR",
    "express_checkout": false,
    "redirect": true,
    "txn_uuid": "mozsWkv7CVGaMhauwmQ",
    "gateway": "RAZORPAY",
    "error_message": "",
    "txn_object_type": "MANDATE_REGISTER",
    "source_object": "MANDATE",
    "source_object_id": "100000207247",
    "created": "2025-02-03T08:03:28Z",
    "last_updated": "2025-02-03T08:03:55Z",
    "txn_flow_type": "CARD_TRANSACTION",
    "is_cvv_less_txn": false,
    "txn_amount_breakup": [
      {
        "name": "BASE",
        "amount": 15,
        "sno": 1,
        "method": "ADD"
      }
    ]
  },
  "payment_gateway_response": {
    "resp_code": "SUCCESS",
    "rrn": "161551",
    "created": "2025-02-03T08:03:55Z",
    "epg_txn_id": "pay_PrAHtPNNAZRaf3",
    "resp_message": "SUCCESS",
    "auth_id_code": "161551",
    "txn_id": "Merchant-1738569799-1",
    "gateway_response": {
      "acquirer_data": {
        "auth_code": "161551"
      },
      "amount": 1500,
      "amount_refunded": 0,
      "auth_code": "161551",
      "captured": true,
      "card_id": "card_PrAHtabWcf0zRc",
      "contact": "+919876543210",
      "created_at": 1738569823,
      "currency": "INR",
      "customer_id": "cust_Nnp9ThQtDeuzyt",
      "description": "Description",
      "email": "xxx@gmail.com",
      "entity": "payment",
      "fee": 46,
      "id": "pay_PrAHtPNNAZRaf3",
      "international": false,
      "invoice_id": "inv_PrAHsFXuzi9j1G",
      "method": "card",
      "notes": {
        "transaction_id": "Merchant-1738569799-1",
        "txn_uuid": "mozsWkv7CVGaMhauwmQ"
      },
      "order_id": "order_PrArgmRLmoF4w",
      "status": "captured",
      "tax": 0,
      "token_id": "token_PrAtsaNpv4PMy"
    },
    "debit_amount": "15.0",
    "network_error_message": null,
    "network_error_code": null,
    "arn": null,
    "gateway_merchant_id": "rzp_4U9WwyEpxGkRv",
    "eci": null,
    "auth_ref_num": null,
    "umrn": null
  },
  "gateway_id": 23,
  "emi_details": {
    "bank": null,
    "monthly_payment": null,
    "interest": null,
    "conversion_details": null,
    "principal_amount": null,
    "additional_processing_fee_info": null,
    "tenure": null,
    "subvention_info": [],
    "emi_type": null,
    "processed_by": null
  },
  "metadata": {
    "order_expiry": "2025-02-06T08:03:19Z",
    "payment_page_client_id": "eulerqa",
    "RAZORPAY:gateway_reference_id": "razorpaytest",
    "payment_links": {
      "mobile": "https://sandbox.juspay.in/payment-page/order/ordeh_908b968ca0f16b",
      "web": "https://sandbox.juspay.in/payment-page/order/ordeh_908b968ca0f16b",
      "iframe": "https://sandbox.juspay.in/payment-page/order/ordeh_908b968ca0f16b"
    }
  },
  "gateway_reference_id": "razorpaytest",
  "offers": [],
  "maximum_eligible_refund_amount": 15,
  "amount_debited": 15,
  "additional_info": {},
  "order_expiry": "2025-02-06T08:03:19Z",
  "resp_category": null,
  "conflicted": true
}
```

#### Mandate Status - RESUMED Code Snippet:

```mandate status - resumed
{
  "customer_email": "xxx@gmail.com",
  "customer_phone": "9876543210",
  "customer_id": "cth_pJUCpKRF6BZbWqic",
  "status_id": 21,
  "status": "CHARGED",
  "id": "ordeh_5a4c028c55d9a159",
  "merchant_id": "Merchant",
  "amount": 15,
  "currency": "INR",
  "order_id": "1738649568",
  "date_created": "2025-02-04T06:12:47Z",
  "last_updated": "2025-02-04T06:13:23Z",
  "return_url": "https://juspay.in/",
  "product_id": "JPP20241212163917",
  "payment_links": {
    "mobile": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028c55d9a159",
    "web": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028c55d9a159",
    "iframe": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028c55d9a159"
  },
  "udf1": "",
  "udf2": "",
  "udf3": "",
  "udf4": "",
  "udf5": "",
  "udf6": "",
  "udf7": "",
  "udf8": "",
  "udf9": "",
  "udf10": "",
  "txn_id": "Merchant-  1738649568-1",
  "payment_method_type": "CARD",
  "auth_type": "THREE_DS",
  "card": {
    "expiry_year": "2029",
    "card_reference": "",
    "saved_to_locker": false,
    "expiry_month": "12",
    "name_on_card": "TestCard",
    "card_issuer": "One Card",
    "last_four_digits": "8950",
    "using_saved_card": false,
    "card_fingerprint": "1iqmd49i4u233ujj8209cpoa2c",
    "card_isin": "402275",
    "card_type": "CREDIT",
    "card_brand": "VISA",
    "using_token": false,
    "tokens": [],
    "token_type": "CARD",
    "card_issuer_country": "INDIA",
    "juspay_bank_code": "JP_ONE",
    "extended_card_type": "CREDIT",
    "payment_account_reference": ""
  },
  "payment_method": "VISA",
  "refunded": false,
  "amount_refunded": 0,
  "effective_amount": 15,
  "mandate": {
    "mandate_token": "339facfe6c3c4e05aec03ac761c60ed7",
    "mandate_status": "ACTIVE",
    "mandate_id": "21WssmMgGFuLF9YEAQmFLY",
    "mandate_type": "MANDATE",
    "start_date": "1738648300",
    "end_date": "1759557100",
    "revokable_by_customer": true,
    "block_fund": false,
    "max_amount": 10,
    "frequency": "ASPRESENTED",
    "amount_rule": "VARIABLE"
  },
  "resp_code": null,
  "resp_message": null,
  "bank_error_code": "",
  "bank_error_message": "",
  "txn_uuid": "mozaQaQ7f8eTSKjSRBN",
  "txn_detail": {
    "txn_id": "Merchant-1738649568-1",
    "order_id": "1738649568",
    "status": "CHARGED",
    "error_code": null,
    "net_amount": 15,
    "surcharge_amount": null,
    "tax_amount": null,
    "txn_amount": 15,
    "offer_deduction_amount": null,
    "remaining_refundable_amount": 15,
    "gateway_id": 23,
    "currency": "INR",
    "express_checkout": false,
    "redirect": true,
    "txn_uuid": "mozaQaQ7f8eTSKjSRBN",
    "gateway": "RAZORPAY",
    "error_message": "",
    "txn_object_type": "MANDATE_REGISTER",
    "source_object": "MANDATE",
    "source_object_id": "100000208333",
    "created": "2025-02-04T06:13:07Z",
    "last_updated": "2025-02-04T06:13:23Z",
    "txn_flow_type": "CARD_TRANSACTION",
    "is_cvv_less_txn": false,
    "txn_amount_breakup": [
      {
        "name": "BASE",
        "amount": 15,
        "sno": 1,
        "method": "ADD"
      }
    ]
  },
  "gateway_id": 23,
  "emi_details": {
    "bank": null,
    "monthly_payment": null,
    "interest": null,
    "conversion_details": null,
    "principal_amount": null,
    "additional_processing_fee_info": null,
    "tenure": null,
    "subvention_info": [],
    "emi_type": null,
    "processed_by": null
  },
  "metadata": {
    "order_expiry": "2025-02-07T06:12:47Z",
    "payment_page_client_id": "Merchant",
    "RAZORPAY:gateway_reference_id": "testmandate",
    "payment_links": {
      "mobile": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028c55d9a159",
      "web": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028c55d9a159",
      "iframe": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028c55d9a159"
    }
  },
  "gateway_reference_id": "testmandate",
  "offers": [],
  "maximum_eligible_refund_amount": 15,
  "amount_debited": 15,
  "additional_info": {},
  "order_expiry": "2025-02-07T06:12:47Z",
  "resp_category": null,
  "conflicted": true
}
```

#### Mandate Status - PAUSED Code Snippet:

```mandate status - paused
{
  "customer_email": "xxx@gmail.com",
  "customer_phone": "9876543210",
  "customer_id": "cth_pJUCpKRF6BZbWqic",
  "status_id": 21,
  "status": "CHARGED",
  "id": "ordeh_5a4c028ca159",
  "merchant_id": "Merchant",
  "amount": 15,
  "currency": "INR",
  "order_id": "1738649568",
  "date_created": "2025-02-04T06:12:47Z",
  "last_updated": "2025-02-04T06:13:23Z",
  "return_url": "https://juspay.in/",
  "product_id": "JPP20241212163917",
  "payment_links": {
    "mobile": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028ca159",
    "web": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028ca159",
    "iframe": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028ca159"
  },
  "udf1": "",
  "udf2": "",
  "udf3": "",
  "udf4": "",
  "udf5": "",
  "udf6": "",
  "udf7": "",
  "udf8": "",
  "udf9": "",
  "udf10": "",
  "txn_id": "Merchant-1738649568-1",
  "payment_method_type": "CARD",
  "auth_type": "THREE_DS",
  "card": {
    "expiry_year": "2029",
    "card_reference": "",
    "saved_to_locker": false,
    "expiry_month": "12",
    "name_on_card": "TestCard",
    "card_issuer": "One Card",
    "last_four_digits": "8950",
    "using_saved_card": false,
    "card_fingerprint": "1iqmd49i4u233ujj8209cpoa2c",
    "card_isin": "402275",
    "card_type": "CREDIT",
    "card_brand": "VISA",
    "using_token": false,
    "tokens": [],
    "token_type": "CARD",
    "card_issuer_country": "INDIA",
    "juspay_bank_code": "JP_ONE",
    "extended_card_type": "CREDIT",
    "payment_account_reference": ""
  },
  "payment_method": "VISA",
  "refunded": false,
  "amount_refunded": 0,
  "effective_amount": 15,
  "mandate": {
    "mandate_token": "339facfe6c3c4e05aec03ac761c60ed7",
    "mandate_status": "PAUSED",
    "mandate_id": "21WssmMgGFuLF9YEAQmFLY",
    "mandate_type": "MANDATE",
    "start_date": "1738648300",
    "end_date": "1759557100",
    "revokable_by_customer": true,
    "block_fund": false,
    "max_amount": 10,
    "frequency": "ASPRESENTED",
    "amount_rule": "VARIABLE"
  },
  "resp_code": null,
  "resp_message": null,
  "bank_error_code": "",
  "bank_error_message": "",
  "txn_uuid": "mozaQaQ7f8eTSKjSRBN",
  "txn_detail": {
    "txn_id": "Merchant-1738649568-1",
    "order_id": "1738649568",
    "status": "CHARGED",
    "error_code": null,
    "net_amount": 15,
    "surcharge_amount": null,
    "tax_amount": null,
    "txn_amount": 15,
    "offer_deduction_amount": null,
    "remaining_refundable_amount": 15,
    "gateway_id": 23,
    "currency": "INR",
    "express_checkout": false,
    "redirect": true,
    "txn_uuid": "mozaQaQ7f8eTSKjSRBN",
    "gateway": "RAZORPAY",
    "error_message": "",
    "txn_object_type": "MANDATE_REGISTER",
    "source_object": "MANDATE",
    "source_object_id": "100000208333",
    "created": "2025-02-04T06:13:07Z",
    "last_updated": "2025-02-04T06:13:23Z",
    "txn_flow_type": "CARD_TRANSACTION",
    "is_cvv_less_txn": false,
    "txn_amount_breakup": [
      {
        "name": "BASE",
        "amount": 15,
        "sno": 1,
        "method": "ADD"
      }
    ]
  },
  "gateway_id": 23,
  "emi_details": {
    "bank": null,
    "monthly_payment": null,
    "interest": null,
    "conversion_details": null,
    "principal_amount": null,
    "additional_processing_fee_info": null,
    "tenure": null,
    "subvention_info": [],
    "emi_type": null,
    "processed_by": null
  },
  "metadata": {
    "order_expiry": "2025-02-07T06:12:47Z",
    "payment_page_client_id": "eulerqa",
    "RAZORPAY:gateway_reference_id": "testmandate",
    "payment_links": {
      "mobile": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028ca159",
      "web": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028ca159",
      "iframe": "https://sandbox.juspay.in/payment-page/order/ordeh_5a4c028ca159"
    }
  },
  "gateway_reference_id": "testmandate",
  "offers": [],
  "maximum_eligible_refund_amount": 15,
  "amount_debited": 15,
  "additional_info": {},
  "order_expiry": "2025-02-07T06:12:47Z",
  "resp_category": null,
  "conflicted": true
}
```
